diff -aruN --binary 11/administrator/components/com_config/controllers/application.php 12/administrator/components/com_config/controllers/application.php
--- 11/administrator/components/com_config/controllers/application.php	2009-06-02 23:51:34.000000000 +0200
+++ 12/administrator/components/com_config/controllers/application.php	2009-06-30 22:01:32.000000000 +0200
@@ -1,6 +1,6 @@
 <?php
 /**
- * @version		$Id: application.php 11795 2009-05-06 01:59:19Z ian $
+ * @version		$Id: application.php 12389 2009-07-01 00:34:45Z ian $
  * @package		Joomla
  * @subpackage	Config
  * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
@@ -12,6 +12,9 @@
  * details.
  */
 
+// no direct access
+defined( '_JEXEC' ) or die( 'Restricted access' );
+
 require_once( JPATH_COMPONENT.DS.'views'.DS.'application'.DS.'view.php' );
 
 /**
@@ -105,7 +108,7 @@
 		$lists['xmlrpc_server'] = JHTML::_('select.booleanlist', 'xmlrpc_server', 'class="inputbox"', $row->xmlrpc_server);
 		$lists['error_reporting'] = JHTML::_('select.genericlist',  $errors, 'error_reporting', 'class="inputbox" size="1"', 'value', 'text', $row->error_reporting);
 		$lists['enable_ftp'] 	= JHTML::_('select.booleanlist', 'ftp_enable', 'class="inputbox"', intval($row->ftp_enable));
-		
+
 		$forceSSL = array(
 								JHTML::_('select.option', 0, JText::_('None')),
 								JHTML::_('select.option', 1, JText::_('Administrator Only')),
@@ -114,55 +117,64 @@
 		$lists['force_ssl'] = JHTML::_('select.genericlist', $forceSSL, 'force_ssl', 'class="inputbox" size="1"', 'value', 'text', @$row->force_ssl);
 
 		// LOCALE SETTINGS
-		$timeoffset = array (	JHTML::_('select.option', -12, JText::_('(UTC -12:00) International Date Line West')),
-								JHTML::_('select.option', -11, JText::_('(UTC -11:00) Midway Island, Samoa')),
-								JHTML::_('select.option', -10, JText::_('(UTC -10:00) Hawaii')),
-								JHTML::_('select.option', -9.5, JText::_('(UTC -09:30) Taiohae, Marquesas Islands')),
-								JHTML::_('select.option', -9, JText::_('(UTC -09:00) Alaska')),
-								JHTML::_('select.option', -8, JText::_('(UTC -08:00) Pacific Time (US &amp; Canada)')),
-								JHTML::_('select.option', -7, JText::_('(UTC -07:00) Mountain Time (US &amp; Canada)')),
-								JHTML::_('select.option', -6, JText::_('(UTC -06:00) Central Time (US &amp; Canada), Mexico City')),
-								JHTML::_('select.option', -5, JText::_('(UTC -05:00) Eastern Time (US &amp; Canada), Bogota, Lima')),
-								JHTML::_('select.option', -4.5, JText::_('(UTC -04:30) Venezuela')),
-								JHTML::_('select.option', -4, JText::_('(UTC -04:00) Atlantic Time (Canada), Caracas, La Paz')),
-								JHTML::_('select.option', -3.5, JText::_('(UTC -03:30) St. John\'s, Newfoundland, Labrador')),
-								JHTML::_('select.option', -3, JText::_('(UTC -03:00) Brazil, Buenos Aires, Georgetown')),
-								JHTML::_('select.option', -2, JText::_('(UTC -02:00) Mid-Atlantic')),
-								JHTML::_('select.option', -1, JText::_('(UTC -01:00) Azores, Cape Verde Islands')),
-								JHTML::_('select.option', 0, JText::_('(UTC 00:00) Western Europe Time, London, Lisbon, Casablanca')),
-								JHTML::_('select.option', 1, JText::_('(UTC +01:00) Amsterdam, Berlin, Brussels, Copenhagen, Madrid, Paris')),
-								JHTML::_('select.option', 2, JText::_('(UTC +02:00) Istanbul, Jerusalem, Kaliningrad, South Africa')),
-								JHTML::_('select.option', 3, JText::_('(UTC +03:00) Baghdad, Riyadh, Moscow, St. Petersburg')),
-								JHTML::_('select.option', 3.5, JText::_('(UTC +03:30) Tehran')),
-								JHTML::_('select.option', 4, JText::_('(UTC +04:00) Abu Dhabi, Muscat, Baku, Tbilisi')),
-								JHTML::_('select.option', 4.5, JText::_('(UTC +04:30) Kabul')),
-								JHTML::_('select.option', 5, JText::_('(UTC +05:00) Ekaterinburg, Islamabad, Karachi, Tashkent')),
-								JHTML::_('select.option', 5.5, JText::_('(UTC +05:30) Bombay, Calcutta, Madras, New Delhi, Colombo')),
-								JHTML::_('select.option', 5.75, JText::_('(UTC +05:45) Kathmandu')),
-								JHTML::_('select.option', 6, JText::_('(UTC +06:00) Almaty, Dhaka')),
-								JHTML::_('select.option', 6.30, JText::_('(UTC +06:30) Yagoon')),
-								JHTML::_('select.option', 7, JText::_('(UTC +07:00) Bangkok, Hanoi, Jakarta')),
-								JHTML::_('select.option', 8, JText::_('(UTC +08:00) Beijing, Perth, Singapore, Hong Kong')),
-								JHTML::_('select.option', 8.75, JText::_('(UTC +08:00) Western Australia')),
-								JHTML::_('select.option', 9, JText::_('(UTC +09:00) Tokyo, Seoul, Osaka, Sapporo, Yakutsk')),
-								JHTML::_('select.option', 9.5, JText::_('(UTC +09:30) Adelaide, Darwin, Yakutsk')),
-								JHTML::_('select.option', 10, JText::_('(UTC +10:00) Eastern Australia, Guam, Vladivostok')),
-								JHTML::_('select.option', 10.5, JText::_('(UTC +10:30) Lord Howe Island (Australia)')),
-								JHTML::_('select.option', 11, JText::_('(UTC +11:00) Magadan, Solomon Islands, New Caledonia')),
-								JHTML::_('select.option', 11.30, JText::_('(UTC +11:30) Norfolk Island')),
-								JHTML::_('select.option', 12, JText::_('(UTC +12:00) Auckland, Wellington, Fiji, Kamchatka')),
-								JHTML::_('select.option', 12.75, JText::_('(UTC +12:45) Chatham Island')),
-								JHTML::_('select.option', 13, JText::_('(UTC +13:00) Tonga')),
-								JHTML::_('select.option', 14, JText::_('(UTC +14:00) Kiribati')),);
-		$lists['offset'] 		= JHTML::_('select.genericlist',  $timeoffset, 'offset', 'class="inputbox" size="1"', 'value', 'text', $row->offset);
+		$timeoffset = array (	
+			JHTML::_('select.option', -12, JText::_('(UTC -12:00) International Date Line West')),
+			JHTML::_('select.option', -11, JText::_('(UTC -11:00) Midway Island, Samoa')),
+			JHTML::_('select.option', -10, JText::_('(UTC -10:00) Hawaii')),
+			JHTML::_('select.option', -9.5, JText::_('(UTC -09:30) Taiohae, Marquesas Islands')),
+			JHTML::_('select.option', -9, JText::_('(UTC -09:00) Alaska')),
+			JHTML::_('select.option', -8, JText::_('(UTC -08:00) Pacific Time (US &amp; Canada)')),
+			JHTML::_('select.option', -7, JText::_('(UTC -07:00) Mountain Time (US &amp; Canada)')),
+			JHTML::_('select.option', -6, JText::_('(UTC -06:00) Central Time (US &amp; Canada), Mexico City')),
+			JHTML::_('select.option', -5, JText::_('(UTC -05:00) Eastern Time (US &amp; Canada), Bogota, Lima')),
+			JHTML::_('select.option', -4.5, JText::_('(UTC -04:30) Venezuela')),
+			JHTML::_('select.option', -4, JText::_('(UTC -04:00) Atlantic Time (Canada), Caracas, La Paz')),
+			JHTML::_('select.option', -3.5, JText::_('(UTC -03:30) St. John\'s, Newfoundland, Labrador')),
+			JHTML::_('select.option', -3, JText::_('(UTC -03:00) Brazil, Buenos Aires, Georgetown')),
+			JHTML::_('select.option', -2, JText::_('(UTC -02:00) Mid-Atlantic')),
+			JHTML::_('select.option', -1, JText::_('(UTC -01:00) Azores, Cape Verde Islands')),
+			JHTML::_('select.option', 0, JText::_('(UTC 00:00) Western Europe Time, London, Lisbon, Casablanca')),
+			JHTML::_('select.option', 1, JText::_('(UTC +01:00) Amsterdam, Berlin, Brussels, Copenhagen, Madrid, Paris')),
+			JHTML::_('select.option', 2, JText::_('(UTC +02:00) Istanbul, Jerusalem, Kaliningrad, South Africa')),
+			JHTML::_('select.option', 3, JText::_('(UTC +03:00) Baghdad, Riyadh, Moscow, St. Petersburg')),
+			JHTML::_('select.option', 3.5, JText::_('(UTC +03:30) Tehran')),
+			JHTML::_('select.option', 4, JText::_('(UTC +04:00) Abu Dhabi, Muscat, Baku, Tbilisi')),
+			JHTML::_('select.option', 4.5, JText::_('(UTC +04:30) Kabul')),
+			JHTML::_('select.option', 5, JText::_('(UTC +05:00) Ekaterinburg, Islamabad, Karachi, Tashkent')),
+			JHTML::_('select.option', 5.5, JText::_('(UTC +05:30) Bombay, Calcutta, Madras, New Delhi, Colombo')),
+			JHTML::_('select.option', 5.75, JText::_('(UTC +05:45) Kathmandu')),
+			JHTML::_('select.option', 6, JText::_('(UTC +06:00) Almaty, Dhaka')),
+			JHTML::_('select.option', 6.30, JText::_('(UTC +06:30) Yagoon')),
+			JHTML::_('select.option', 7, JText::_('(UTC +07:00) Bangkok, Hanoi, Jakarta')),
+			JHTML::_('select.option', 8, JText::_('(UTC +08:00) Beijing, Perth, Singapore, Hong Kong')),
+			JHTML::_('select.option', 8.75, JText::_('(UTC +08:00) Western Australia')),
+			JHTML::_('select.option', 9, JText::_('(UTC +09:00) Tokyo, Seoul, Osaka, Sapporo, Yakutsk')),
+			JHTML::_('select.option', 9.5, JText::_('(UTC +09:30) Adelaide, Darwin, Yakutsk')),
+			JHTML::_('select.option', 10, JText::_('(UTC +10:00) Eastern Australia, Guam, Vladivostok')),
+			JHTML::_('select.option', 10.5, JText::_('(UTC +10:30) Lord Howe Island (Australia)')),
+			JHTML::_('select.option', 11, JText::_('(UTC +11:00) Magadan, Solomon Islands, New Caledonia')),
+			JHTML::_('select.option', 11.30, JText::_('(UTC +11:30) Norfolk Island')),
+			JHTML::_('select.option', 12, JText::_('(UTC +12:00) Auckland, Wellington, Fiji, Kamchatka')),
+			JHTML::_('select.option', 12.75, JText::_('(UTC +12:45) Chatham Island')),
+			JHTML::_('select.option', 13, JText::_('(UTC +13:00) Tonga')),
+			JHTML::_('select.option', 14, JText::_('(UTC +14:00) Kiribati')),);
+		$lists['offset'] = JHTML::_('select.genericlist',  $timeoffset, 'offset', 'class="inputbox" size="1"', 'value', 'text', $row->offset);
 
 		// MAIL SETTINGS
-		$mailer 				= array (JHTML::_('select.option', 'mail', JText::_('PHP mail function')), JHTML::_('select.option', 'sendmail', JText::_('Sendmail')), JHTML::_('select.option', 'smtp', JText::_('SMTP Server')));
-		$lists['mailer'] 		= JHTML::_('select.genericlist',  $mailer, 'mailer', 'class="inputbox" size="1"', 'value', 'text', $row->mailer);
-		$lists['smtpauth'] 		= JHTML::_('select.booleanlist', 'smtpauth', 'class="inputbox"', $row->smtpauth);
+		$mailer = array (
+			JHTML::_('select.option', 'mail', JText::_('PHP mail function')), 
+			JHTML::_('select.option', 'sendmail', JText::_('Sendmail')),
+			JHTML::_('select.option', 'smtp', JText::_('SMTP Server')));
+		$lists['mailer'] = JHTML::_('select.genericlist',  $mailer, 'mailer', 'class="inputbox" size="1"', 'value', 'text', $row->mailer);
+		$smtpsecure = array (
+			JHTML::_('select.option', 'none', JText::_('None')),
+			JHTML::_('select.option', 'ssl', 'SSL'),
+			JHTML::_('select.option', 'tls', 'TLS'));
+		$lists['smtpsecure'] = JHTML::_('select.genericlist',  $smtpsecure, 'smtpsecure', 'class="inputbox" size="1"', 'value', 'text', (isset($row->smtpsecure) ? $row->smtpsecure : ''));
+		$lists['smtpauth'] = JHTML::_('select.booleanlist', 'smtpauth', 'class="inputbox"', $row->smtpauth);
 
 		// CACHE SETTINGS
-		$lists['caching'] 		= JHTML::_('select.booleanlist', 'caching', 'class="inputbox"', $row->caching);
+		$lists['caching'] = JHTML::_('select.booleanlist', 'caching', 'class="inputbox"', $row->caching);
 		jimport('joomla.cache.cache');
 		$stores = JCache::getStores();
 		$options = array();
@@ -183,7 +195,7 @@
 		$lists['MetaTitle'] 	= JHTML::_('select.booleanlist', 'MetaTitle', 'class="inputbox"', $row->MetaTitle);
 
 		// SEO SETTINGS
-		$lists['sef'] 			= JHTML::_('select.booleanlist', 'sef', 'class="inputbox"', $row->sef);
+		$lists['sef'] 		= JHTML::_('select.booleanlist', 'sef', 'class="inputbox"', $row->sef);
 		$lists['sef_rewrite'] 	= JHTML::_('select.booleanlist', 'sef_rewrite', 'class="inputbox"', $row->sef_rewrite);
 		$lists['sef_suffix'] 	= JHTML::_('select.booleanlist', 'sef_suffix', 'class="inputbox"', $row->sef_suffix);
 
@@ -334,7 +346,7 @@
 		$config_array['dbtype']		= JRequest::getVar('dbtype', 'mysql', 'post', 'word');
 		$config_array['host']		= JRequest::getVar('host', 'localhost', 'post', 'string');
 		$config_array['user']		= JRequest::getVar('user', '', 'post', 'string');
-		$config_array['db']			= JRequest::getVar('db', '', 'post', 'string');
+		$config_array['db']		= JRequest::getVar('db', '', 'post', 'string');
 		$config_array['dbprefix']	= JRequest::getVar('dbprefix', 'jos_', 'post', 'string');
 
 		// MAIL SETTINGS
@@ -343,6 +355,9 @@
 		$config_array['fromname']	= JRequest::getVar('fromname', 'Joomla 1.5', 'post', 'string');
 		$config_array['sendmail']	= JRequest::getVar('sendmail', '/usr/sbin/sendmail', 'post', 'string');
 		$config_array['smtpauth']	= JRequest::getVar('smtpauth', 0, 'post', 'int');
+		$config_array['smtpsecure']	= JRequest::getVar('smtpsecure', 'none', 'post', 'word');
+		$smtpport	        	= JRequest::getVar('smtpport', '', 'post', 'int');
+		$config_array['smtpport']	= $smtpport ? $smtpport : '25';
 		$config_array['smtpuser']	= JRequest::getVar('smtpuser', '', 'post', 'string');
 		$config_array['smtppass']	= JRequest::getVar('smtppass', '', 'post', 'string', JREQUEST_ALLOWRAW);
 		$config_array['smtphost']	= JRequest::getVar('smtphost', '', 'post', 'string');
diff -aruN --binary 11/administrator/components/com_config/controllers/component.php 12/administrator/components/com_config/controllers/component.php
--- 11/administrator/components/com_config/controllers/component.php	2008-07-07 00:38:34.000000000 +0200
+++ 12/administrator/components/com_config/controllers/component.php	2009-06-30 22:01:32.000000000 +0200
@@ -1,6 +1,6 @@
 <?php
 /**
- * @version		$Id: component.php 10381 2008-06-01 03:35:53Z pasamio $
+ * @version		$Id: component.php 12389 2009-07-01 00:34:45Z ian $
  * @package		Joomla
  * @subpackage	Config
  * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
@@ -12,6 +12,9 @@
  * details.
  */
 
+// no direct access
+defined( '_JEXEC' ) or die( 'Restricted access' );
+
 require_once( JPATH_COMPONENT.DS.'views'.DS.'component'.DS.'view.php' );
 
 /**
diff -aruN --binary 11/administrator/components/com_config/views/application/tmpl/config_cache.php 12/administrator/components/com_config/views/application/tmpl/config_cache.php
--- 11/administrator/components/com_config/views/application/tmpl/config_cache.php	2008-07-07 00:38:36.000000000 +0200
+++ 12/administrator/components/com_config/views/application/tmpl/config_cache.php	2009-06-30 22:01:32.000000000 +0200
@@ -1,3 +1,5 @@
+<?php // no direct access
+defined( '_JEXEC' ) or die( 'Restricted access' ); ?>
 <fieldset class="adminform">
 	<legend><?php echo JText::_( 'Cache Settings' ); ?></legend>
 	<table class="admintable" cellspacing="1">
diff -aruN --binary 11/administrator/components/com_config/views/application/tmpl/config_database.php 12/administrator/components/com_config/views/application/tmpl/config_database.php
--- 11/administrator/components/com_config/views/application/tmpl/config_database.php	2008-07-07 00:38:36.000000000 +0200
+++ 12/administrator/components/com_config/views/application/tmpl/config_database.php	2009-06-30 22:01:32.000000000 +0200
@@ -1,3 +1,5 @@
+<?php // no direct access
+defined( '_JEXEC' ) or die( 'Restricted access' ); ?>
 <fieldset class="adminform">
 	<legend><?php echo JText::_( 'Database Settings' ); ?></legend>
 	<table class="admintable" cellspacing="1">
diff -aruN --binary 11/administrator/components/com_config/views/application/tmpl/config_debug.php 12/administrator/components/com_config/views/application/tmpl/config_debug.php
--- 11/administrator/components/com_config/views/application/tmpl/config_debug.php	2008-07-07 00:38:36.000000000 +0200
+++ 12/administrator/components/com_config/views/application/tmpl/config_debug.php	2009-06-30 22:01:32.000000000 +0200
@@ -1,3 +1,5 @@
+<?php // no direct access
+defined( '_JEXEC' ) or die( 'Restricted access' ); ?>
 <fieldset class="adminform">
 	<legend><?php echo JText::_( 'Debug Settings' ); ?></legend>
 	<table class="admintable" cellspacing="1">
diff -aruN --binary 11/administrator/components/com_config/views/application/tmpl/config_ftp.php 12/administrator/components/com_config/views/application/tmpl/config_ftp.php
--- 11/administrator/components/com_config/views/application/tmpl/config_ftp.php	2008-07-07 00:38:36.000000000 +0200
+++ 12/administrator/components/com_config/views/application/tmpl/config_ftp.php	2009-06-30 22:01:32.000000000 +0200
@@ -1,3 +1,5 @@
+<?php // no direct access
+defined( '_JEXEC' ) or die( 'Restricted access' ); ?>
 <fieldset class="adminform">
 	<legend><?php echo JText::_( 'FTP Settings' ); ?></legend>
 	<table class="admintable" cellspacing="1">
diff -aruN --binary 11/administrator/components/com_config/views/application/tmpl/config_locale.php 12/administrator/components/com_config/views/application/tmpl/config_locale.php
--- 11/administrator/components/com_config/views/application/tmpl/config_locale.php	2008-07-07 00:38:36.000000000 +0200
+++ 12/administrator/components/com_config/views/application/tmpl/config_locale.php	2009-06-30 22:01:32.000000000 +0200
@@ -1,3 +1,5 @@
+<?php // no direct access
+defined( '_JEXEC' ) or die( 'Restricted access' ); ?>
 <fieldset class="adminform">
 	<legend><?php echo JText::_( 'Locale Settings' ); ?></legend>
 	<table class="admintable" cellspacing="1">
diff -aruN --binary 11/administrator/components/com_config/views/application/tmpl/config_mail.php 12/administrator/components/com_config/views/application/tmpl/config_mail.php
--- 11/administrator/components/com_config/views/application/tmpl/config_mail.php	2008-07-07 00:38:36.000000000 +0200
+++ 12/administrator/components/com_config/views/application/tmpl/config_mail.php	2009-06-30 22:01:32.000000000 +0200
@@ -1,3 +1,5 @@
+<?php // no direct access
+defined( '_JEXEC' ) or die( 'Restricted access' ); ?>
 <fieldset class="adminform">
 	<legend><?php echo JText::_( 'Mail Settings' ); ?></legend>
 	<table class="admintable" cellspacing="1">
@@ -53,6 +55,26 @@
 				<?php echo $lists['smtpauth']; ?>
 			</td>
 		</tr>
+        <tr>
+ 			<td class="key">
+   				<span class="editlinktip hasTip" title="<?php echo JText::_( 'SMTP Security' ); ?>::<?php echo JText::_( 'TIPSMTPSECURITY' ); ?>">
+	    				<?php echo JText::_( 'SMTP Security' ); ?>
+				</span>
+			</td>
+			<td>
+				<?php echo $lists['smtpsecure']; ?>
+			</td>
+		</tr>
+		<tr>
+			<td class="key">
+				<span class="editlinktip hasTip" title="<?php echo JText::_( 'SMTP Port' ); ?>::<?php echo JText::_( 'TIPSMTPPORT' ); ?>">
+					<?php echo JText::_( 'SMTP Port' ); ?>
+				</span>
+			</td>
+			<td>
+				<input class="text_area" type="text" name="smtpport" size="30" value="<?php echo (isset($row->smtpport) ? $row->smtpport : ''); ?>" />
+			</td>
+		</tr>
 		<tr>
 			<td class="key">
 				<span class="editlinktip hasTip" title="<?php echo JText::_( 'SMTP User' ); ?>::<?php echo JText::_( 'TIPSMTPUSER' ); ?>">
diff -aruN --binary 11/administrator/components/com_config/views/application/tmpl/config_metadata.php 12/administrator/components/com_config/views/application/tmpl/config_metadata.php
--- 11/administrator/components/com_config/views/application/tmpl/config_metadata.php	2008-07-07 00:38:36.000000000 +0200
+++ 12/administrator/components/com_config/views/application/tmpl/config_metadata.php	2009-06-30 22:01:32.000000000 +0200
@@ -1,3 +1,5 @@
+<?php // no direct access
+defined( '_JEXEC' ) or die( 'Restricted access' ); ?>
 <fieldset class="adminform">
 	<legend><?php echo JText::_( 'Metadata Settings' ); ?></legend>
 	<table class="admintable" cellspacing="1">
diff -aruN --binary 11/administrator/components/com_config/views/application/tmpl/config_seo.php 12/administrator/components/com_config/views/application/tmpl/config_seo.php
--- 11/administrator/components/com_config/views/application/tmpl/config_seo.php	2008-07-07 00:38:36.000000000 +0200
+++ 12/administrator/components/com_config/views/application/tmpl/config_seo.php	2009-06-30 22:01:32.000000000 +0200
@@ -1,3 +1,5 @@
+<?php // no direct access
+defined( '_JEXEC' ) or die( 'Restricted access' ); ?>
 <fieldset class="adminform">
 	<legend><?php echo JText::_( 'SEO Settings' ); ?></legend>
 	<table class="admintable" cellspacing="1">
diff -aruN --binary 11/administrator/components/com_config/views/application/tmpl/config_server.php 12/administrator/components/com_config/views/application/tmpl/config_server.php
--- 11/administrator/components/com_config/views/application/tmpl/config_server.php	2009-01-10 04:58:06.000000000 +0100
+++ 12/administrator/components/com_config/views/application/tmpl/config_server.php	2009-06-30 22:01:32.000000000 +0200
@@ -1,3 +1,5 @@
+<?php // no direct access
+defined( '_JEXEC' ) or die( 'Restricted access' ); ?>
 <fieldset class="adminform">
 	<legend><?php echo JText::_( 'Server Settings' ); ?></legend>
 	<table class="admintable" cellspacing="1">
diff -aruN --binary 11/administrator/components/com_config/views/application/tmpl/config_session.php 12/administrator/components/com_config/views/application/tmpl/config_session.php
--- 11/administrator/components/com_config/views/application/tmpl/config_session.php	2008-07-07 00:38:36.000000000 +0200
+++ 12/administrator/components/com_config/views/application/tmpl/config_session.php	2009-06-30 22:01:32.000000000 +0200
@@ -1,3 +1,5 @@
+<?php // no direct access
+defined( '_JEXEC' ) or die( 'Restricted access' ); ?>
 <fieldset class="adminform">
 	<legend><?php echo JText::_( 'Session Settings' ); ?></legend>
 	<table class="admintable" cellspacing="1">
diff -aruN --binary 11/administrator/components/com_config/views/application/tmpl/config_site.php 12/administrator/components/com_config/views/application/tmpl/config_site.php
--- 11/administrator/components/com_config/views/application/tmpl/config_site.php	2009-03-28 02:43:38.000000000 +0100
+++ 12/administrator/components/com_config/views/application/tmpl/config_site.php	2009-06-30 22:01:32.000000000 +0200
@@ -1,3 +1,5 @@
+<?php // no direct access
+defined( '_JEXEC' ) or die( 'Restricted access' ); ?>
 <fieldset class="adminform">
 	<legend><?php echo JText::_( 'Site Settings' ); ?></legend>
 	<table class="admintable" cellspacing="1">
diff -aruN --binary 11/administrator/components/com_config/views/application/tmpl/config_system.php 12/administrator/components/com_config/views/application/tmpl/config_system.php
--- 11/administrator/components/com_config/views/application/tmpl/config_system.php	2009-01-10 04:58:06.000000000 +0100
+++ 12/administrator/components/com_config/views/application/tmpl/config_system.php	2009-06-30 22:01:32.000000000 +0200
@@ -1,3 +1,5 @@
+<?php // no direct access
+defined( '_JEXEC' ) or die( 'Restricted access' ); ?>
 <fieldset class="adminform">
 	<legend><?php echo JText::_( 'System Settings' ); ?></legend>
 	<table class="admintable" cellspacing="1">
diff -aruN --binary 11/administrator/components/com_config/views/application/tmpl/ftp.php 12/administrator/components/com_config/views/application/tmpl/ftp.php
--- 11/administrator/components/com_config/views/application/tmpl/ftp.php	2008-07-07 00:38:36.000000000 +0200
+++ 12/administrator/components/com_config/views/application/tmpl/ftp.php	2009-06-30 22:01:32.000000000 +0200
@@ -1,3 +1,5 @@
+<?php // no direct access
+defined( '_JEXEC' ) or die( 'Restricted access' ); ?>
 <fieldset title="<?php echo JText::_('DESCFTPTITLE'); ?>" class="adminform">
 	<legend><?php echo JText::_('DESCFTPTITLE'); ?></legend>
 
diff -aruN --binary 11/administrator/components/com_config/views/application/tmpl/navigation.php 12/administrator/components/com_config/views/application/tmpl/navigation.php
--- 11/administrator/components/com_config/views/application/tmpl/navigation.php	2008-07-07 00:38:36.000000000 +0200
+++ 12/administrator/components/com_config/views/application/tmpl/navigation.php	2009-06-30 22:01:32.000000000 +0200
@@ -1,3 +1,5 @@
+<?php // no direct access
+defined( '_JEXEC' ) or die( 'Restricted access' ); ?>
 <div class="submenu-box">
 	<div class="submenu-pad">
 		<ul id="submenu" class="configuration">
diff -aruN --binary 11/administrator/components/com_installer/models/components.php 12/administrator/components/com_installer/models/components.php
--- 11/administrator/components/com_installer/models/components.php	2008-09-09 17:19:40.000000000 +0200
+++ 12/administrator/components/com_installer/models/components.php	2009-06-30 22:01:32.000000000 +0200
@@ -1,6 +1,6 @@
 <?php
 /**
- * @version		$Id: components.php 10710 2008-08-21 10:08:12Z eddieajau $
+ * @version		$Id: components.php 12389 2009-07-01 00:34:45Z ian $
  * @package		Joomla
  * @subpackage	Menus
  * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
@@ -12,6 +12,9 @@
  * details.
  */
 
+// no direct access
+defined( '_JEXEC' ) or die( 'Restricted access' );
+
 // Import library dependencies
 require_once(dirname(__FILE__).DS.'extension.php');
 
diff -aruN --binary 11/administrator/components/com_installer/models/languages.php 12/administrator/components/com_installer/models/languages.php
--- 11/administrator/components/com_installer/models/languages.php	2008-11-11 02:30:12.000000000 +0100
+++ 12/administrator/components/com_installer/models/languages.php	2009-06-30 22:01:32.000000000 +0200
@@ -1,6 +1,6 @@
 <?php
 /**
- * @version		$Id: languages.php 11213 2008-10-25 12:43:11Z pasamio $
+ * @version		$Id: languages.php 12389 2009-07-01 00:34:45Z ian $
  * @package		Joomla
  * @subpackage	Menus
  * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
@@ -12,6 +12,9 @@
  * details.
  */
 
+// no direct access
+defined( '_JEXEC' ) or die( 'Restricted access' );
+
 // Import library dependencies
 require_once(dirname(__FILE__).DS.'extension.php');
 jimport( 'joomla.filesystem.folder' );
diff -aruN --binary 11/administrator/components/com_installer/models/modules.php 12/administrator/components/com_installer/models/modules.php
--- 11/administrator/components/com_installer/models/modules.php	2008-09-09 17:19:40.000000000 +0200
+++ 12/administrator/components/com_installer/models/modules.php	2009-06-30 22:01:32.000000000 +0200
@@ -1,6 +1,6 @@
 <?php
 /**
- * @version		$Id: modules.php 10710 2008-08-21 10:08:12Z eddieajau $
+ * @version		$Id: modules.php 12389 2009-07-01 00:34:45Z ian $
  * @package		Joomla
  * @subpackage	Menus
  * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
@@ -12,6 +12,9 @@
  * details.
  */
 
+// no direct access
+defined( '_JEXEC' ) or die( 'Restricted access' );
+
 // Import library dependencies
 require_once(dirname(__FILE__).DS.'extension.php');
 
diff -aruN --binary 11/administrator/components/com_installer/models/plugins.php 12/administrator/components/com_installer/models/plugins.php
--- 11/administrator/components/com_installer/models/plugins.php	2008-09-09 17:19:40.000000000 +0200
+++ 12/administrator/components/com_installer/models/plugins.php	2009-06-30 22:01:32.000000000 +0200
@@ -1,6 +1,6 @@
 <?php
 /**
- * @version		$Id: plugins.php 10710 2008-08-21 10:08:12Z eddieajau $
+ * @version		$Id: plugins.php 12389 2009-07-01 00:34:45Z ian $
  * @package		Joomla
  * @subpackage	Menus
  * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
@@ -12,6 +12,9 @@
  * details.
  */
 
+// no direct access
+defined( '_JEXEC' ) or die( 'Restricted access' );
+
 // Import library dependencies
 require_once(dirname(__FILE__).DS.'extension.php');
 
diff -aruN --binary 11/administrator/components/com_installer/models/templates.php 12/administrator/components/com_installer/models/templates.php
--- 11/administrator/components/com_installer/models/templates.php	2008-09-09 17:19:40.000000000 +0200
+++ 12/administrator/components/com_installer/models/templates.php	2009-06-30 22:01:32.000000000 +0200
@@ -1,6 +1,6 @@
 <?php
 /**
- * @version		$Id: templates.php 10710 2008-08-21 10:08:12Z eddieajau $
+ * @version		$Id: templates.php 12389 2009-07-01 00:34:45Z ian $
  * @package		Joomla
  * @subpackage	Menus
  * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
@@ -12,6 +12,9 @@
  * details.
  */
 
+// no direct access
+defined( '_JEXEC' ) or die( 'Restricted access' );
+
 // Import library dependencies
 require_once(dirname(__FILE__).DS.'extension.php');
 jimport( 'joomla.filesystem.folder' );
diff -aruN --binary 11/administrator/components/com_installer/views/components/tmpl/default_item.php 12/administrator/components/com_installer/views/components/tmpl/default_item.php
--- 11/administrator/components/com_installer/views/components/tmpl/default_item.php	2008-07-07 00:38:48.000000000 +0200
+++ 12/administrator/components/com_installer/views/components/tmpl/default_item.php	2009-06-30 22:01:32.000000000 +0200
@@ -1,3 +1,5 @@
+<?php // no direct access
+defined( '_JEXEC' ) or die( 'Restricted access' ); ?>
 <tr class="<?php echo "row".$this->item->index % 2; ?>" <?php echo $this->item->style; ?>>
 	<td><?php echo $this->pagination->getRowOffset( $this->item->index ); ?></td>
 	<td>
diff -aruN --binary 11/administrator/components/com_installer/views/components/tmpl/default.php 12/administrator/components/com_installer/views/components/tmpl/default.php
--- 11/administrator/components/com_installer/views/components/tmpl/default.php	2008-07-07 00:38:48.000000000 +0200
+++ 12/administrator/components/com_installer/views/components/tmpl/default.php	2009-06-30 22:01:32.000000000 +0200
@@ -1,3 +1,5 @@
+<?php // no direct access
+defined( '_JEXEC' ) or die( 'Restricted access' ); ?>
 <form action="index.php" method="post" name="adminForm">
 	<?php if ($this->showMessage) : ?>
 		<?php echo $this->loadTemplate('message'); ?>
diff -aruN --binary 11/administrator/components/com_installer/views/default/tmpl/default_ftp.php 12/administrator/components/com_installer/views/default/tmpl/default_ftp.php
--- 11/administrator/components/com_installer/views/default/tmpl/default_ftp.php	2008-07-07 00:38:48.000000000 +0200
+++ 12/administrator/components/com_installer/views/default/tmpl/default_ftp.php	2009-06-30 22:01:32.000000000 +0200
@@ -1,3 +1,5 @@
+<?php // no direct access
+defined( '_JEXEC' ) or die( 'Restricted access' ); ?>
 <fieldset title="<?php echo JText::_('DESCFTPTITLE'); ?>">
 	<legend><?php echo JText::_('DESCFTPTITLE'); ?></legend>
 
diff -aruN --binary 11/administrator/components/com_installer/views/default/tmpl/default_message.php 12/administrator/components/com_installer/views/default/tmpl/default_message.php
--- 11/administrator/components/com_installer/views/default/tmpl/default_message.php	2008-07-07 00:38:48.000000000 +0200
+++ 12/administrator/components/com_installer/views/default/tmpl/default_message.php	2009-06-30 22:01:32.000000000 +0200
@@ -1,4 +1,5 @@
-<?php
+<?php // no direct access
+	defined( '_JEXEC' ) or die( 'Restricted access' ); 
 	$state			= &$this->get('State');
 	$message1		= $state->get('message');
 	$message2		= $state->get('extension.message');
diff -aruN --binary 11/administrator/components/com_installer/views/install/tmpl/default_form.php 12/administrator/components/com_installer/views/install/tmpl/default_form.php
--- 11/administrator/components/com_installer/views/install/tmpl/default_form.php	2008-07-07 00:38:46.000000000 +0200
+++ 12/administrator/components/com_installer/views/install/tmpl/default_form.php	2009-06-30 22:01:32.000000000 +0200
@@ -1,3 +1,5 @@
+<?php // no direct access
+defined( '_JEXEC' ) or die( 'Restricted access' ); ?>
 <script language="javascript" type="text/javascript">
 <!--
 	function submitbutton3(pressbutton) {
diff -aruN --binary 11/administrator/components/com_installer/views/install/tmpl/default.php 12/administrator/components/com_installer/views/install/tmpl/default.php
--- 11/administrator/components/com_installer/views/install/tmpl/default.php	2008-07-07 00:38:46.000000000 +0200
+++ 12/administrator/components/com_installer/views/install/tmpl/default.php	2009-06-30 22:01:32.000000000 +0200
@@ -1,3 +1,5 @@
+<?php // no direct access
+defined( '_JEXEC' ) or die( 'Restricted access' ); ?>
 <?php if ($this->showMessage) : ?>
 <?php echo $this->loadTemplate('message'); ?>
 <?php endif; ?>
